Pseudocolour classification from QGIS 2.x qml is deleted by the 3.x layer properties dialog

2019-01-26 12:53 PM - Alister Hood

Status: Open

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:3.4.4 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28926

Description

Load the layer Matteo posted at #18153.

The symbology is applied correctly.

Open layer properties (you don't even have to go to the symbology tab) and click apply or OK, and the symbology will be lost!

Load the qml again from layer properties>symbology.  The symbology is loaded correctly, but lost on apply or OK.

Load the qml again from layer properties>symbology, then edit one of the values (you don't have to actually change it, just click it to edit,

then click out of it).  The symbology is not lost on apply or OK.  (Save as a new qml and that won't have the same issues - woohoo - a

workaround!).

Yes, this issue is relatively minor, but I imagine it'll cause a lot more headaches as LTS users start to move to 3.x.

It occurs in QGIS 3.4.4 and I believe all earlier versions of 3.x.

History

#1 - 2019-01-26 10:27 PM - Jürgen Fischer

- Description updated

#2 - 2019-01-28 10:57 AM - Giovanni Manghi

- Regression? changed from Yes to No

- Category changed from Rasters to Symbology

2025-04-26 1/1


